Loading...
Searching...
No Matches
Dune::Std::nonesuch Struct Reference
Common » Utilities » C++ utilities and backports

Type representing a lookup failure by std::detected_or and friends. More...

`#include <dune/common/std/type_traits.hh>`

## Public Member Functions

| nonesuch ()=delete
| ~nonesuch ()=delete
| nonesuch (const nonesuch &)=delete
void | operator= (const nonesuch &)=delete

## Detailed Description

Type representing a lookup failure by std::detected_or and friends.

This type cannot be constructed, destroyed or copied.

Note
  This functionality is part of the C++ library fundamentals TS v3 and might or might not became part of C++2c / C++26.

## Constructor & Destructor Documentation

## nonesuch() [1/2]

Dune::Std::nonesuch::nonesuch | ( |  | ) |

delete

## ~nonesuch()

Dune::Std::nonesuch::~nonesuch | ( |  | ) |

delete

## nonesuch() [2/2]

Dune::Std::nonesuch::nonesuch | ( | const nonesuch & |  | ) |

delete

## Member Function Documentation

## operator=()

void Dune::Std::nonesuch::operator= | ( | const nonesuch & |  | ) |

delete

The documentation for this struct was generated from the following file:

- type_traits.hh